function setCookie(name, value, expire) {
  var exp = new Date();
  exp.setTime(exp.getTime() + expire);
  document.cookie = name + "=" + escape(value) + ";expires=" + exp.toGMTString();
}

function getCookie(name) {
  var arr = document.cookie.match(new RegExp("(^| )" + name + "=([^;]*)(;|$)"));
  if (arr != null)
    return unescape(arr[2]);
  return null;
}

function delCookie(name) {
  var exp = new Date();
  exp.setTime(exp.getTime() - 1);
  var cval = getCookie(name);
  if (cval != null)
    document.cookie = name + "=" + cval + ";expires=" + exp.toGMTString();
}

function setWeatherCityToCookie (event) {
    //alert('weatherCity to set： ' + event.getSource().getSelectItems()[event.getSource().getValue()].getLabel());
    var cityName = event.getSource().getSelectItems()[event.getSource().getValue()].getLabel();
    setCookie('com.hand.adf.widgets.weather.WeatherWidget', cityName, 1000*60*60*24*365*100);
}